package id.co.sangkuriang.inovasi.daerah.master.service

import id.co.sangkuriang.inovasi.daerah.master.model.request.DeleteDataRequest
import id.co.sangkuriang.inovasi.daerah.master.model.request.Pagination2Request
import id.co.sangkuriang.inovasi.daerah.master.model.request.PaginationRequest
import id.co.sangkuriang.inovasi.daerah.master.pojo.Province
import org.springframework.http.ResponseEntity
import javax.servlet.http.HttpServletRequest

interface ProvinceService {

    fun getAll(page: PaginationRequest): ResponseEntity<*>?

    fun getDetail(id: String): ResponseEntity<*>?

    fun saveData(request: Province): ResponseEntity<*>?

    fun updateData(id: String, request: Province): ResponseEntity<*>?

    fun deleteData(request: DeleteDataRequest, httpServletRequest: HttpServletRequest): ResponseEntity<*>?

    fun datatable(req: Pagination2Request): ResponseEntity<*>?

    fun getByName(name: String): ResponseEntity<*>?

    fun count(): ResponseEntity<*>?
}
